//
//  VokPackageActivityItemProvider.swift
//  Vok
//
//  Created by Wilhelm Oks on 27.10.15.
//  Copyright © 2015 SIC! Software GmbH. All rights reserved.
//

import Foundation
import UIKit

class VokPackageActivityItemProvider : UIActivityItemProvider {
    var package: Package
    
    init(package: Package) {
        self.package = package
        super.init(placeholderItem: NSData())
    }
    
    override func item() -> AnyObject {
        return package.fileUrl()
    }
    
    override func activityViewController(activityViewController: UIActivityViewController, dataTypeIdentifierForActivityType activityType: String?) -> String {
        return "com.sic.vok.package"
    }
}
